Skip to main content
GET
/
v1
/
blog
/
articles
/
{id}
Get blog article
curl --request GET \
  --url https://api.yalg.ai/v1/blog/articles/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "018f9f54-22d4-783a-a3d9-8bcdf1717032",
  "title": "How founder stories become useful content",
  "status": "draft",
  "markdown": "# How founder stories become useful content",
  "createdAt": "2026-06-20T17:24:39.000Z",
  "updatedAt": "2026-06-20T17:24:39.000Z"
}

Authorizations

x-api-key
string
header
default:yalg_live_your_api_key
required

YALG Developer API key. Send it in the x-api-key header from a server-side environment only.

Path Parameters

id
string
required

Resource identifier.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

Response

Successful response. Get blog article.

Blog article generation job.

id
string<uuid>

Article identifier.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

title
string
Example:

"How to make stories useful"

status
string
Example:

"draft"

markdown
string
createdAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

updatedAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"